#include <iostream>
#include <bits/stdc++.h>

using namespace std;
void resi(int n,int k,int a[])
{
    int br=0;
    string s="";
    int bn=2*n;
       int b[bn]={0};
       for(int i=0;i<n;i++)
       {
           b[n+a[i]]++;
       }
       for(int i=0;i<bn;i++)
       {
           if(b[i]>=k){
                br++;
            s=s+to_string(i-n)+" ";
           }
       }
    cout<<br<<endl;
       cout<<s<<endl;

}
int main()
{
   int n,k;
   cin>>n>>k;
   int a[n];
   for(int i=0;i<n;i++)
   {
       cin>>a[i];
   }
   resi(n,k,a);
}